curl --request POST \
--url https://api.hubapi.com/marketing/v3/marketing-events/attendance/{externalEventId}/{subscriberState}/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"interactionDateTime": 123,
"properties": {},
"vid": 123
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"vid": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}HubSpotコンタクトIDを使用して、複数のHubSpotコンタクトのマーケティングイベントへの参加を記録します。
追加機能:
使用できるプロパティ: 状態「参加」の場合:
curl --request POST \
--url https://api.hubapi.com/marketing/v3/marketing-events/attendance/{externalEventId}/{subscriberState}/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"interactionDateTime": 123,
"properties": {},
"vid": 123
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"vid": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
外部イベントアプリケーションのマーケティングイベントのID
HubSpotコンタクトと指定されたマーケティングイベントの新規登録者状態。例:「register」、「attend」、または「cancel」。
外部イベントアプリケーションでこのマーケティングイベントに関連付けられているaccountId
マーケティングイベントに登録するHubSpotコンタクトのリスト
Show child attributes
successful operation
リクエストの処理が完了した時点を表すタイムスタンプ
Show child attributes
リクエストの処理が開始された時点を表すタイムスタンプ
リクエスト処理のステータス
CANCELED, COMPLETE, PENDING, PROCESSING Show child attributes
リクエストの結果
Show child attributes
処理中に発生したエラーの数
リクエストが行われた時点を表すタイムスタンプ